DominoDatabase (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.lotus.DominoDatabase interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.lotus
Interface DominoDatabase

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  DominoApplication, DominoLibrary, NotesMail, OtherDatabase

    public interface DominoDatabase

extends LogicalElement

Represents a .nsf file in the CMDB. Domino databases are either applications, libraries, notes mail databases or other miscellaneous databases. The sensor tries to figure out what type of database a given .nsf file is and then creates an appropriate type. The sensor used to open each .nsf file to read more data. But based on customer feedback on performance and security issues, this is not done anymore.

Naming Rules:
  0="parent,fileName" 1="managedSystemName"
Persistable:
  true
Table Name:
  DOMINODB
Display Name:
  parent,fileName

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`boolean` | `getClusterReplication()`
`java.lang.String` | `getFileName()`
`java.lang.String` | `getFilePath()`
`java.lang.String` | `getHttpURL()`
`DominoServer` | `getParent()`
`double` | `getPercentUsed()`
`double` | `getSize()`
`double` | `getSizeQuota()`
`double` | `getSizeWarning()`
`java.lang.String` | `getTemplate()`
`java.lang.String` | `getTitle()`
`boolean` | `hasClusterReplication()`
`boolean` | `hasFileName()`
`boolean` | `hasFilePath()`
`boolean` | `hasHttpURL()`
`boolean` | `hasParent()`
`boolean` | `hasPercentUsed()`
`boolean` | `hasSize()`
`boolean` | `hasSizeQuota()`
`boolean` | `hasSizeWarning()`
`boolean` | `hasTemplate()`
`boolean` | `hasTitle()`
`void` | `setClusterReplication(boolean s)`
`void` | `setFileName(java.lang.String s)`
`void` | `setFilePath(java.lang.String s)`
`void` | `setHttpURL(java.lang.String s)`
`void` | `setParent(DominoServer s)`
`void` | `setPercentUsed(double s)`
`void` | `setSize(double s)`
`void` | `setSizeQuota(double s)`
`void` | `setSizeWarning(double s)`
`void` | `setTemplate(java.lang.String s)`
`void` | `setTitle(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    DominoServer getParent()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Provides" reverse="true"

### setParent

    void setParent(DominoServer s)

### hasParent

    boolean hasParent()

### getFileName

    java.lang.String getFileName()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setFileName

    void setFileName(java.lang.String s)

### hasFileName

    boolean hasFileName()

### getFilePath

    java.lang.String getFilePath()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setFilePath

    void setFilePath(java.lang.String s)

### hasFilePath

    boolean hasFilePath()

### getHttpURL

    java.lang.String getHttpURL()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setHttpURL

    void setHttpURL(java.lang.String s)

### hasHttpURL

    boolean hasHttpURL()

### getTitle

    java.lang.String getTitle()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTitle

    void setTitle(java.lang.String s)

### hasTitle

    boolean hasTitle()

### getTemplate

    java.lang.String getTemplate()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTemplate

    void setTemplate(java.lang.String s)

### hasTemplate

    boolean hasTemplate()

### getSize

    double getSize()
                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSize

    void setSize(double s)

### hasSize

    boolean hasSize()

### getSizeQuota

    double getSizeQuota()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSizeQuota

    void setSizeQuota(double s)

### hasSizeQuota

    boolean hasSizeQuota()

### getSizeWarning

    double getSizeWarning()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSizeWarning

    void setSizeWarning(double s)

### hasSizeWarning

    boolean hasSizeWarning()

### getPercentUsed

    double getPercentUsed()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPercentUsed

    void setPercentUsed(double s)

### hasPercentUsed

    boolean hasPercentUsed()

### getClusterReplication

    boolean getClusterReplication()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setClusterReplication

    void setClusterReplication(boolean s)

### hasClusterReplication

    boolean hasClusterReplication()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD